Deep Security Manager REST API

Path: / rest / authentication / signinastenant / name / {tName}

SignIn as a tenant, and return a session ID (sID) to use in subsequent calls to other APIs. *

Note: 1. SignIn as a tenant will not log out original session 2. if your application uses both the SOAP web services API and the REST API, the same session ID can be used in both APIs; you do not need to log in separately to each API.

Path parameters:
tName - The tenant's name

Method Summary
ResourceDescription
GET /rest/authentication/signinastenant/name/{tName}?sID=…SignIn as a tenant, and return a session ID (sID) to use in subsequent calls to other APIs.

Method Detail
HTTP Example:
GET /rest/authentication/signinastenant/name/{tName}?sID=…

API Example:

IAuthenticationAPI.signInAsTenant({'sID': /* sID primary tenant user session ID. */,
  'tName': /* tenantName The tenant's name */});

SignIn as a tenant, and return a session ID (sID) to use in subsequent calls to other APIs. *

Note: 1. SignIn as a tenant will not log out original session 2. if your application uses both the SOAP web services API and the REST API, the same session ID can be used in both APIs; you do not need to log in separately to each API.

Output:
java.lang.String - tenant session ID (sID)
Query parameters:
sID - primary tenant user session ID.
Produces:
text/plain

Copyright © 2015 Trend Micro Inc. All Rights Reserved.